%define upstream_name Type-Tie
%define upstream_version 0.009

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Tie a variable to a type constraint
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Tie/TOBYINK/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter::Tiny) >= 0.26.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Types::Standard) >= 0.4.0
BuildArch:  noarch

%description
This module exports a single function: `ttie`. `ttie` ties a variable to a
type constraint, ensuring that whatever values stored in the variable will
conform to the type constraint. If the type constraint has coercions,
these will be used if necessary to ensure values assigned to the variable
conform.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc CONTRIBUTING COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE TODO
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.9.0-3.mga6
+ Revision: 1035428
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.9.0-2.mga6
+ Revision: 968644
- Mageia 6 Mass Rebuild

* Tue Jul 14 2015 sander85 <sander85> 0.9.0-1.mga6
+ Revision: 854157
- update to 0.009

* Wed Oct 15 2014 umeabot <umeabot> 0.8.0-3.mga5
+ Revision: 749199
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 sander85 <sander85> 0.8.0-1.mga5
+ Revision: 672947
- update to 0.008

* Mon Feb 24 2014 jquelin <jquelin> 0.7.0-1.mga5
+ Revision: 596373
- update to 0.007

* Sun Feb 09 2014 sander85 <sander85> 0.6.0-1.mga5
+ Revision: 587618
- imported package perl-Type-Tie

